View Issue Details

IDProjectCategoryView StatusLast Update
0001417XdebugUncategorizedpublic2017-04-14 11:41
ReporterLanaZem Assigned Toderick  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.5.1 
Target Version2.5.2Fixed in Version2.5.2 
Summary0001417: Switching from global function to static method crashes execution
DescriptionCreate a script with a static method and global function, call a global function within a static method.

If script is paused inside global function retrieving parent context will crash execution, i.e.

<- context_get -i 16 -d 1 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" status="stopping" reason="ok"></response>

I've attached the whole log file to the issue.
Steps To Reproduce1) Create a php script:

<?php

class Bar {
    public static function f2() {
        foo();
    }
}

function foo() {
    echo "hi"; // put breakpoint here
}

Bar::f2();

2) Put a breakpoint on "echo "hi"" line and start debugging.

3) Try to retrieve context for `Bar::f2()`.

Expected:
Local context for `Bar::f2()` is retrieved.

Actual:
Execution crashes with "PHP Fatal error: Cannot access self:: when no class scope is active"
Additional InformationThe issue is reproduced for XDebug 2.5.1 + PHP 7.1.1.

The issue is *not* reproducible if `Bar::f2()` is not static.

Corresponding PhpStorm issue: https://youtrack.jetbrains.com/issue/WI-35562
TagsNo tags attached.
Operating System
PHP Version7.1.0-7.1.4

Activities

LanaZem

2017-04-11 09:38

reporter  

xdebug.log (20,870 bytes)   
Log opened at 2017-04-11 09:18:39
I: Connecting to configured address/port: 127.0.0.1:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///home/user/PhpstormProjects/phpunit_new/debugger-issue.php" language="PHP" xdebug:language_version="7.1.1" protocol_version="1.0" appid="31477" idekey="11506"><engine version="2.5.1"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2017 by Derick Rethans]]></copyright></init>

<- feature_set -i 1 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="show_hidden" success="1"></response>

<- feature_set -i 2 -n max_depth -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_depth" success="1"></response>

<- feature_set -i 3 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_children" success="1"></response>

<- feature_set -i 4 -n extended_properties -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" status="starting" reason="ok"><error code="3"><message><![CDATA[invalid or missing options]]></message></error></response>

<- status -i 5
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="status" transaction_id="5" status="starting" reason="ok"></response>

<- step_into -i 6
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="6" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/phpunit_new/debugger-issue.php" lineno="3"></xdebug:message></response>

<- breakpoint_set -i 7 -t line -f file:///home/user/PhpstormProjects/phpunit_new/test.php -n 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="7" id="314770001"></response>

<- breakpoint_set -i 8 -t line -f file:///home/user/PhpstormProjects/phpunit_new/debugger-issue.php -n 10
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="8" id="314770002"></response>

<- stack_get -i 9
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="9"><stack where="{main}" level="0" type="file" filename="file:///home/user/PhpstormProjects/phpunit_new/debugger-issue.php" lineno="3"></stack></response>

<- run -i 10
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="10" status="break" reason="ok"><xdebug:message filename="file:///home/user/PhpstormProjects/phpunit_new/debugger-issue.php" lineno="10"></xdebug:message></response>

<- stack_get -i 11
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="11"><stack where="foo" level="0" type="file" filename="file:///home/user/PhpstormProjects/phpunit_new/debugger-issue.php" lineno="10"></stack><stack where="Bar::f2" level="1" type="file" filename="file:///home/user/PhpstormProjects/phpunit_new/debugger-issue.php" lineno="5"></stack><stack where="{main}" level="2" type="file" filename="file:///home/user/PhpstormProjects/phpunit_new/debugger-issue.php" lineno="13"></stack></response>

<- context_names -i 12
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="12"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 13 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="13" context="0"></response>

<- context_get -i 14 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="14" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="86" page="0" pagesize="100"><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" type="string" size="176" encoding="base64"><![CDATA[Li9iaW4vOi4vc2Jpbi86Li9nYW1lcy86Li4vYmluLzouLi9zYmluLzovaG9tZS91c2VyL2JpbjovaG9tZS91c2VyLy5sb2NhbC9iaW46L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbjovc2JpbjovYmluOi91c3IvZ2FtZXM6L3Vzci9sb2NhbC9nYW1lczovc25hcC9iaW4=]]></property><property name="XAUTHORITY" fullname="$_SERVER[&#39;XAUTHORITY&#39;]" type="string" size="22" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uWGF1dGhvcml0eQ==]]></property><property name="LC_MEASUREMENT" fullname="$_SERVER[&#39;LC_MEASUREMENT&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="IDEA_RUNNERW" fullname="$_SERVER[&#39;IDEA_RUNNERW&#39;]" type="string" size="32" encoding="base64"><![CDATA[Li4vY29tbXVuaXR5L2Jpbi93aW4vcnVubmVydy5leGU=]]></property><property name="LC_TELEPHONE" fullname="$_SERVER[&#39;LC_TELEPHONE&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XMODIFIERS" fullname="$_SERVER[&#39;XMODIFIERS&#39;]" type="string" size="8" encoding="base64"><![CDATA[QGltPWlidXM=]]></property><property name="MANDATORY_PATH" fullname="$_SERVER[&#39;MANDATORY_PATH&#39;]" type="string" size="37" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5tYW5kYXRvcnkucGF0aA==]]></property><property name="GDMSESSION" fullname="$_SERVER[&#39;GDMSESSION&#39;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER[&#39;XDG_DATA_DIRS&#39;]" type="string" size="78" encoding="base64"><![CDATA[Li9zaGFyZS86L3Vzci9zaGFyZS9nbm9tZTovdXNyL2xvY2FsL3NoYXJlLzovdXNyL3NoYXJlLzovdmFyL2xpYi9zbmFwZC9kZXNrdG9w]]></property><property name="LC_TIME" fullname="$_SERVER[&#39;LC_TIME&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="PAPERSIZE" fullname="$_SERVER[&#39;PAPERSIZE&#39;]" type="string" size="6" encoding="base64"><![CDATA[bGV0dGVy]]></property><property name="GTK_IM_MODULE" fullname="$_SERVER[&#39;GTK_IM_MODULE&#39;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="QT_QPA_PLATFORM_PLUGIN_PATH" fullname="$_SERVER[&#39;QT_QPA_PLATFORM_PLUGIN_PATH&#39;]" type="string" size="23" encoding="base64"><![CDATA[c2hhcmUvamV0YnJhaW5zLXRvb2xib3g=]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER[&#39;DBUS_SESSION_BUS_ADDRESS&#39;]" type="string" size="34" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMtalVLUk1Qc0hHRA==]]></property><property name="DEFAULTS_PATH" fullname="$_SERVER[&#39;DEFAULTS_PATH&#39;]" type="string" size="35" encoding="base64"><![CDATA[L3Vzci9zaGFyZS9nY29uZi9nbm9tZS5kZWZhdWx0LnBhdGg=]]></property><property name="APPIMAGE" fullname="$_SERVER[&#39;APPIMAGE&#39;]" type="string" size="63" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYmluL2pldGJyYWlucy10b29sYm94]]></property><property name="XDG_CURRENT_DESKTOP" fullname="$_SERVER[&#39;XDG_CURRENT_DESKTOP&#39;]" type="string" size="5" encoding="base64"><![CDATA[R05PTUU=]]></property><property name="DESKTOP_AUTOSTART_ID" fullname="$_SERVER[&#39;DESKTOP_AUTOSTART_ID&#39;]" type="string" size="48" encoding="base64"><![CDATA[MTA0MWY4YWM2NWYxOGRkNTJmMTQ5MDcxMDg0NTI5Nzc4MDAwMDAwMDIxODIwMDAz]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER[&#39;LD_LIBRARY_PATH&#39;]" type="string" size="173" encoding="base64"><![CDATA[L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYXBwcy9JREVBLVUvY2gtMC8xNzEuNDA3My4yOC9iaW46L2hvbWUvdXNlci8ubG9jYWwvc2hhcmUvSmV0QnJhaW5zL1Rvb2xib3gvYXBwcy9JREVBLVUvY2gtMC8xNzEuNDA3My4yOC9iaW46c2hhcmUvamV0YnJhaW5zLXRvb2xib3g=]]></property><property name="QT4_IM_MODULE" fullname="$_SERVER[&#39;QT4_IM_MODULE&#39;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="UPSTART_SESSION" fullname="$_SERVER[&#39;UPSTART_SESSION&#39;]" type="string" size="51" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vY29tL3VidW50dS91cHN0YXJ0LXNlc3Npb24vMTAwMC8xOTg5]]></property><property name="QT_LINUX_ACCESSIBILITY_ALWAYS_ON" fullname="$_SERVER[&#39;QT_LINUX_ACCESSIBILITY_ALWAYS_ON&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="SESSION_MANAGER" fullname="$_SERVER[&#39;SESSION_MANAGER&#39;]" type="string" size="71" encoding="base64"><![CDATA[bG9jYWwvbXVuaXQtMDcwOkAvdG1wLy5JQ0UtdW5peC8yMTgyLHVuaXgvbXVuaXQtMDcwOi90bXAvLklDRS11bml4LzIxODI=]]></property><property name="LC_PAPER" fullname="$_SERVER[&#39;LC_PAPER&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LOGNAME" fullname="$_SERVER[&#39;LOGNAME&#39;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER[&#39;XDEBUG_CONFIG&#39;]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTExNTA2]]></property><property name="PWD" fullname="$_SERVER[&#39;PWD&#39;]" type="string" size="39" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3BocHVuaXRfbmV3]]></property><property name="JOB" fullname="$_SERVER[&#39;JOB&#39;]" type="string" size="4" encoding="base64"><![CDATA[ZGJ1cw==]]></property><property name="IM_CONFIG_PHASE" fullname="$_SERVER[&#39;IM_CONFIG_PHASE&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LANGUAGE" fullname="$_SERVER[&#39;LANGUAGE&#39;]" type="string" size="8" encoding="base64"><![CDATA[ZW5fVVM6ZW4=]]></property><property name="PYTHONPATH" fullname="$_SERVER[&#39;PYTHONPATH&#39;]" type="string" size="18" encoding="base64"><![CDATA[Li9zaGFyZS9weXNoYXJlZC86]]></property><property name="SHELL" fullname="$_SERVER[&#39;SHELL&#39;]" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="LC_ADDRESS" fullname="$_SERVER[&#39;LC_ADDRESS&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE&#39;]" type="string" size="54" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uY29uZmlnL2F1dG9zdGFydC9qZXRicmFpbnMtdG9vbGJveC5kZXNrdG9w]]></property><property name="INSTANCE" fullname="$_SERVER[&#39;INSTANCE&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="GTK2_MODULES" fullname="$_SERVER[&#39;GTK2_MODULES&#39;]" type="string" size="17" encoding="base64"><![CDATA[b3ZlcmxheS1zY3JvbGxiYXI=]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER[&#39;GNOME_DESKTOP_SESSION_ID&#39;]" type="string" size="18" encoding="base64"><![CDATA[dGhpcy1pcy1kZXByZWNhdGVk]]></property><property name="CLUTTER_IM_MODULE" fullname="$_SERVER[&#39;CLUTTER_IM_MODULE&#39;]" type="string" size="3" encoding="base64"><![CDATA[eGlt]]></property><property name="XDG_SESSION_PATH" fullname="$_SERVER[&#39;XDG_SESSION_PATH&#39;]" type="string" size="40" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZXNzaW9uMA==]]></property><property name="APPDIR" fullname="$_SERVER[&#39;APPDIR&#39;]" type="string" size="18" encoding="base64"><![CDATA[L3RtcC8ubW91bnRfSmdZUWFO]]></property><property name="SESSIONTYPE" fullname="$_SERVER[&#39;SESSIONTYPE&#39;]" type="string" size="13" encoding="base64"><![CDATA[Z25vbWUtc2Vzc2lvbg==]]></property><property name="XDG_SESSION_DESKTOP" fullname="$_SERVER[&#39;XDG_SESSION_DESKTOP&#39;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SHLVL" fullname="$_SERVER[&#39;SHLVL&#39;]" type="string" size="1" encoding="base64"><![CDATA[MA==]]></property><property name="LC_IDENTIFICATION" fullname="$_SERVER[&#39;LC_IDENTIFICATION&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="QT_PLUGIN_PATH" fullname="$_SERVER[&#39;QT_PLUGIN_PATH&#39;]" type="string" size="262" encoding="base64"><![CDATA[Li9saWIvcXQ0L3BsdWdpbnMvOi4vbGliL2kzODYtbGludXgtZ251L3F0NC9wbHVnaW5zLzouL2xpYi94ODZfNjQtbGludXgtZ251L3F0NC9wbHVnaW5zLzouL2xpYjMyL3F0NC9wbHVnaW5zLzouL2xpYjY0L3F0NC9wbHVnaW5zLzouL2xpYi9xdDUvcGx1Z2lucy86Li9saWIvaTM4Ni1saW51eC1nbnUvcXQ1L3BsdWdpbnMvOi4vbGliL3g4Nl82NC1saW51eC1nbnUvcXQ1L3BsdWdpbnMvOi4vbGliMzIvcXQ1L3BsdWdpbnMvOi4vbGliNjQvcXQ1L3BsdWdpbnMvOg==]]></property><property name="LC_MONETARY" fullname="$_SERVER[&#39;LC_MONETARY&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="QT_IM_MODULE" fullname="$_SERVER[&#39;QT_IM_MODULE&#39;]" type="string" size="4" encoding="base64"><![CDATA[aWJ1cw==]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER[&#39;XFILESEARCHPATH&#39;]" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="XDG_CONFIG_DIRS" fullname="$_SERVER[&#39;XDG_CONFIG_DIRS&#39;]" type="string" size="50" encoding="base64"><![CDATA[L2V0Yy94ZGcveGRnLWdub21lOi91c3Ivc2hhcmUvdXBzdGFydC94ZGc6L2V0Yy94ZGc=]]></property><property name="XDG_SEAT_PATH" fullname="$_SERVER[&#39;XDG_SEAT_PATH&#39;]" type="string" size="37" encoding="base64"><![CDATA[L29yZy9mcmVlZGVza3RvcC9EaXNwbGF5TWFuYWdlci9TZWF0MA==]]></property><property name="GNOME_KEYRING_CONTROL" fullname="$_SERVER[&#39;GNOME_KEYRING_CONTROL&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="LANG" fullname="$_SERVER[&#39;LANG&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SESSION_TYPE" fullname="$_SERVER[&#39;XDG_SESSION_TYPE&#39;]" type="string" size="3" encoding="base64"><![CDATA[eDEx]]></property><property name="PERLLIB" fullname="$_SERVER[&#39;PERLLIB&#39;]" type="string" size="28" encoding="base64"><![CDATA[Li9zaGFyZS9wZXJsNS86Li9saWIvcGVybDUvOg==]]></property><property name="XDG_SESSION_ID" fullname="$_SERVER[&#39;XDG_SESSION_ID&#39;]" type="string" size="2" encoding="base64"><![CDATA[YzI=]]></property><property name="DISPLAY" fullname="$_SERVER[&#39;DISPLAY&#39;]" type="string" size="2" encoding="base64"><![CDATA[OjA=]]></property><property name="OWD" fullname="$_SERVER[&#39;OWD&#39;]" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="LC_NAME" fullname="$_SERVER[&#39;LC_NAME&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="GDM_LANG" fullname="$_SERVER[&#39;GDM_LANG&#39;]" type="string" size="5" encoding="base64"><![CDATA[ZW5fVVM=]]></property><property name="XDG_GREETER_DATA_DIR" fullname="$_SERVER[&#39;XDG_GREETER_DATA_DIR&#39;]" type="string" size="26" encoding="base64"><![CDATA[L3Zhci9saWIvbGlnaHRkbS1kYXRhL3VzZXI=]]></property><property name="SESSION" fullname="$_SERVER[&#39;SESSION&#39;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER[&#39;DESKTOP_SESSION&#39;]" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="GPG_AGENT_INFO" fullname="$_SERVER[&#39;GPG_AGENT_INFO&#39;]" type="string" size="33" encoding="base64"><![CDATA[L2hvbWUvdXNlci8uZ251cGcvUy5ncGctYWdlbnQ6MDox]]></property><property name="USER" fullname="$_SERVER[&#39;USER&#39;]" type="string" size="4" encoding="base64"><![CDATA[dXNlcg==]]></property><property name="XDG_MENU_PREFIX" fullname="$_SERVER[&#39;XDG_MENU_PREFIX&#39;]" type="string" size="6" encoding="base64"><![CDATA[Z25vbWUt]]></property><property name="GIO_LAUNCHED_DESKTOP_FILE_PID" fullname="$_SERVER[&#39;GIO_LAUNCHED_DESKTOP_FILE_PID&#39;]" type="string" size="4" encoding="base64"><![CDATA[MjM0OA==]]></property><property name="QT_ACCESSIBILITY" fullname="$_SERVER[&#39;QT_ACCESSIBILITY&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="LC_NUMERIC" fullname="$_SERVER[&#39;LC_NUMERIC&#39;]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XDG_SEAT" fullname="$_SERVER[&#39;XDG_SEAT&#39;]" type="string" size="5" encoding="base64"><![CDATA[c2VhdDA=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER[&#39;SSH_AUTH_SOCK&#39;]" type="string" size="26" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDAva2V5cmluZy9zc2g=]]></property><property name="QT_QPA_PLATFORMTHEME" fullname="$_SERVER[&#39;QT_QPA_PLATFORMTHEME&#39;]" type="string" size="11" encoding="base64"><![CDATA[YXBwbWVudS1xdDU=]]></property><property name="NLSPATH" fullname="$_SERVER[&#39;NLSPATH&#39;]" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="GSETTINGS_SCHEMA_DIR" fullname="$_SERVER[&#39;GSETTINGS_SCHEMA_DIR&#39;]" type="string" size="26" encoding="base64"><![CDATA[Li9zaGFyZS9nbGliLTIuMC9zY2hlbWFzLzo=]]></property><property name="XDG_RUNTIME_DIR" fullname="$_SERVER[&#39;XDG_RUNTIME_DIR&#39;]" type="string" size="14" encoding="base64"><![CDATA[L3J1bi91c2VyLzEwMDA=]]></property><property name="XDG_VTNR" fullname="$_SERVER[&#39;XDG_VTNR&#39;]" type="string" size="1" encoding="base64"><![CDATA[Nw==]]></property><property name="HOME" fullname="$_SERVER[&#39;HOME&#39;]" type="string" size="10" encoding="base64"><![CDATA[L2hvbWUvdXNlcg==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER[&#39;GNOME_KEYRING_PID&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3BocHVuaXRfbmV3L2RlYnVnZ2VyLWlzc3VlLnBocA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3BocHVuaXRfbmV3L2RlYnVnZ2VyLWlzc3VlLnBocA==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3BocHVuaXRfbmV3L2RlYnVnZ2VyLWlzc3VlLnBocA==]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER[&#39;PATH_TRANSLATED&#39;]" type="string" size="58" encoding="base64"><![CDATA[L2hvbWUvdXNlci9QaHBzdG9ybVByb2plY3RzL3BocHVuaXRfbmV3L2RlYnVnZ2VyLWlzc3VlLnBocA==]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" type="float"><![CDATA[1491902319.599]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" type="int"><![CDATA[1491902319]]></property><property name="argv" fullname="$_SERVER[&#39;argv&#39;]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER[&#39;argc&#39;]" type="int"><![CDATA[1]]></property></property></response>

<- context_get -i 15 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="2"></response>

<- context_get -i 16 -d 1 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" status="stopping" reason="ok"></response>

<- context_get -i 17 -d 1 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="17"><error code="5"><message><![CDATA[command is not available]]></message></error></response>

Log closed at 2017-04-11 09:18:41

xdebug.log (20,870 bytes)   

derick

2017-04-11 10:21

administrator   ~0004252

I've changed this from "crash" to "major". "crash" is meant for when the PHP actually segfaults.

I'll have a look at this.

derick

2017-04-11 10:28

administrator   ~0004253

I can reproduce this easily with the great report.

derick

2017-04-14 11:41

administrator   ~0004261

Fixed for 2.5.2.

Issue History

Date Modified Username Field Change
2017-04-11 09:38 LanaZem New Issue
2017-04-11 09:38 LanaZem File Added: xdebug.log
2017-04-11 10:21 derick Note Added: 0004252
2017-04-11 10:21 derick Severity crash => major
2017-04-11 10:21 derick Status new => acknowledged
2017-04-11 10:21 derick Target Version => 2.5.2
2017-04-11 10:28 derick Note Added: 0004253
2017-04-11 10:28 derick Assigned To => derick
2017-04-11 10:28 derick Status acknowledged => assigned
2017-04-14 11:41 derick Note Added: 0004261
2017-04-14 11:41 derick Status assigned => closed
2017-04-14 11:41 derick Resolution open => fixed
2017-04-14 11:41 derick Fixed in Version => 2.5.2
2020-03-12 16:35 derick Category Usage problems (Wrong Results) => Variable Display
2020-03-12 16:38 derick Category Variable Display => Uncategorized